#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		rname	QtX11Extras
#-----------------------------------------------------------------------------
Name		:	qtx11extras
Version		:	5.15.12
Release		:	16.2.0.rel%{?dist}
Summary		:	Qt X11 support library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.qt.io/archive/qt/(vers/rel)/submodules

Source0		:	%{name}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	qt		=	%{version}

#-----------------------------------------------------------------------------
%description
The X11 Extras module provides features specific to platforms using X11, e.g.
Linux and UNIX-like systems including embedded Linux systems that use the X
Window System.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_libdir}/libQt5X11Extras.so.*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
%{summary}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{rname}/QX11Info
%{_includedir}/%{rname}/QtX11Extras
%{_includedir}/%{rname}/QtX11ExtrasDepends
%{_includedir}/%{rname}/QtX11ExtrasVersion
%{_includedir}/%{rname}/*.h
%{_libdir}/libQt5X11Extras.so
%{_libdir}/libQt5X11Extras.prl
%{_libdir}/pkgconfig/Qt5X11Extras.pc
%{_libdir}/cmake/Qt5X11Extras/Qt5X11ExtrasConfig*.cmake
%{_datadir}/mkspecs/modules/qt_lib_x11extras*.pri

#=============================================================================
%prep
%setup -q -n %{name}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

qmake								\
	"CONFIG+=debug"						\
	..							\
	--

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

popd
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
%{__make}							\
	INSTALL_ROOT="%{buildroot}"				\
	install
popd

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

#-----------------------------------------------------------------------------
%changelog
